<?php

$format = 'd-m-Y';
$date = date($format);

$config = readConfig();
$riddleId = $config[$date] ?? $config['default'] ?? null;

if ($riddleId) {
    $riddleId = intval(trim($riddleId));
    require 'embed.php';
}

function readConfig()
{
    $configPath = dirname(__FILE__) . '/riddle-config.txt';

    if (!file_exists($configPath)) {
        throw new RuntimeException('Could not find riddle-config.txt inside the current directory.');    
    }

    $config = [];
    $fh = fopen($configPath,'r');

    while ($line = fgets($fh)) {
        if ('' === $line || '#' === $line[0]) {
            continue;
        }

        $parts = explode(' ', $line);

        if (2 > count($parts)) {
            continue;
        }
        $config[$parts[0]] = $parts[1]; 
    }
    
    fclose($fh);

    return $config;
}